package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.dsk.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 现场经费-工资统筹、其他费用、现场管理费表(CbSceneExpenseChildren)实体类
 *
 * @author sxk
 * @since 2024-02-22 09:59:00
 */
@Data
public class CbSceneExpenseChildren implements Serializable {
    private static final long serialVersionUID = 895279707061984760L;
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 项目文件ID
     */
    private Long projectFileId;
    /**
     * 序号
     */
    @Excel(name = "序号")
    private String number;
    /**
     * 名称
     */
    @Excel(name = "名称")
    private String expenseName;
    /**
     * 单位
     */
    @Excel(name = "单位")
    private String unit;
    /**
     * 成本数量-工资统筹表
     */
    @Excel(name = "成本数量")
    private String cbCount;
    /**
     * 使用时间-其他费用表
     */
    @Excel(name = "使用时间")
    private String useTime;
    /**
     * 工程量-现场管理费表
     */
    @Excel(name = "工程量")
    private String engineeringVolume;
    /**
     * 增值税税率-现场管理费表
     */
    @Excel(name = "增值税税率")
    private String addedTaxRate;
    /**
     * 公司单价/不含税单价
     */
    @Excel(name = "公司单价")
    private String unitPrice;
    /**
     * 目标成本合价(不含税)/不含税合价
     */
    @Excel(name = "目标成本合价(不含税)")
    private String targetCbSumPriceExcludeTax;
    /**
     * 目标成本合价(含税)/含税合价
     */
    @Excel(name = "目标成本合价(含税)")
    private String targetCbSumPriceIncludeTax;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
    /**
     * 成本科目
     */
    @Excel(name = "成本科目")
    private String cbSubject;
    /**
     * 税金类型
     */
    @Excel(name = "税金类型")
    private String taxType;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic(value = "0", delval = "2")
    private Integer delFlag;
    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
}
