package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 成本汇总-每月费用(CbSummaryActual)实体类
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryActual implements Serializable {
    private static final long serialVersionUID = -85978330087467049L;
    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 成本汇总id
     */
    private Long cbSummaryId;
    /**
     * 本月费用（含税）
     */
    private BigDecimal taxInclusiveExpense;
    /**
     * 本月费用（不含税）
     */
    private BigDecimal taxExclusiveExpense;
    /**
     * 费用日期
     */
    private String expenseDate;
    /**
     * 是否锁定（0否，1是）
     */
//    private Integer lockStatus;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic
    private Integer delFlag;

}
