package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbProjectFile;
import com.dsk.cscec.domain.vo.CbSceneExpenseMenuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目成本文件表(CbProjectFile)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-05 14:01:03
 */
public interface CbProjectFileMapper extends BaseMapper<CbProjectFile> {
    /**
     * 获取现场经费菜单
     *
     * @param projectId 项目ID
     * @return 该项目在项目文件表中所有解析完成的现场经费文件名
     */
    List<CbSceneExpenseMenuVo> getSceneExpenseMenuFromFile(@Param("projectId") Long projectId,
                                                           @Param("deleteFlagExist") Integer deleteFlagExist,
                                                           @Param("cbTypeSceneExpense") Integer cbTypeSceneExpense,
                                                           @Param("projectFileStatusParseSuccess") Integer projectFileStatusParseSuccess);

    List<CbProjectFile> selectAnalysisList(@Param("projectId") Long projectId, @Param("cbType") Integer cbType, @Param("cbStage") Integer cbStage);

    int removeById(@Param("id") Long id);
}

