package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.CbProjectExpenseSummary;

import java.util.List;

public interface CbProjectExpenseSummaryService extends IService<CbProjectExpenseSummary> {
    /**
     * 现场经费汇总数据解析
     *
     * @param projectId 项目ID
     * @param cbStage   成本阶段
     * @param username 用户名
     */
    void parseSceneExpenseSummaryData(Long projectId, Integer cbStage,String username) throws Exception;

    /**
     * 获取现场经费汇总数据
     *
     * @param projectId 项目ID
     * @return 现场经费汇总数据
     */
    List<CbProjectExpenseSummary> getCbSceneExpenseSummaryData(Long projectId);


    List<CbProjectExpenseSummary> queryCbSceneExpenseSummaryDataByType(Long projectId,Integer dataType);
}
