import request from '@/utils/request';

/**
 * 获取咨询机构合作列表
 * @param {*} params 
 * @returns 
 */
export const getConsultingAgencyCooperationListApi = (params) => request({
  url: "/customerInfo/advisoryList",
  method: "get",
  params
});

/**
 * 获取咨询机构合作工程类型
 * @param {*} params 
 * @returns 
 */
export const getConsultingAgencyCooperationTypesApi = (params) => request({
  url: "/dProjectType/getAll",
  method: "get",
  params
});

/**
 * 供应商准入情况
 * @param {*} params 
 * @returns 
 */
export const getSupplierAccessInfoApi = (params) => request({
  url: "/customerInfo/approveInfo",
  method: "get",
  params
});

/**
 * 导出咨询机构合作记录excel文件
 * @param {*} params 
 * @returns 
 */
export const exportRecordOfCooperationExcelApi = (params) => request({
  url: "/customerInfo/advisoryExport",
  method: "get",
  params,
  responseType: "blob"
});

/**
 * 供应商合作记录列表
 * @param {*} params 
 * @returns 
 */
export const getSupplierCooperationRecordListApi = (params) => request({
  url: "/customerInfo/cooperationList",
  method: "get",
  params,
});